Cyberduck Mountain Duck CLI

#3803 closed defect (fixed)

Socks Proxy support broken

Reported by: cax_queiroz@… Owned by: dkocher
Priority: high Milestone: 3.4.2
Component: core Version: 3.3b4
Severity: normal Keywords: proxy, socks
Cc: Architecture:
Platform:

Description (last modified by dkocher)

It does not work with socks proxies anymore. I've got back 3.3b3 and it is working again.

Below is the stack trace.

12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]	Exception in thread "Background" java.lang.UnsatisfiedLinkError: ch.cyberduck.core.SystemConfigurationProxy.isHostExcluded(Ljava/lang/String;)Z
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.SystemConfigurationProxy.isHostExcluded(Native Method)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.AbstractProxy.configure(AbstractProxy.java:58)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.Session.fireConnectionWillOpenEvent(Session.java:443)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.http.HTTPSession.fireConnectionWillOpenEvent(HTTPSession.java:70)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.dav.DAVSession.connect(DAVSession.java:86)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.Session.check(Session.java:91)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.dav.DAVSession.check(DAVSession.java:63)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.Session.mount(Session.java:225)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.core.Session.mount(Session.java:206)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.ui.cocoa.CDBrowserController$25$1.run(CDBrowserController.java:3244)
12/10/09 1:43:59 PM	[0x0-0xe4fe4f].ch.sudo.cyberduck[53173]		at ch.cyberduck.ui.AbstractController$1.run(AbstractController.java:70)

Change History (7)

comment:1 Changed on Oct 12, 2009 at 8:23:42 AM by dkocher

  • Description modified (diff)
  • Status changed from new to assigned

comment:2 Changed on Oct 12, 2009 at 3:49:24 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r5460.

comment:3 Changed on Nov 17, 2009 at 9:28:34 PM by jonathan.hawkes@…

Still broken for me in 3.3. I reverted back to 3.3b3. Used to work with OS-wide Proxy config (System Preferences->Network->Advanced->Proxies).

comment:4 Changed on Nov 28, 2009 at 4:15:54 PM by dkocher

  • Milestone changed from 3.3 to 3.4
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:5 Changed on Nov 28, 2009 at 4:37:18 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Regression from r5506 fixed in r5592. Sorry for the ongoing trouble. A new nightly build with the fix will be available shortly.

comment:6 Changed on Mar 23, 2010 at 9:51:02 AM by yla

  • Milestone changed from 3.3.1 to 3.4.2
  • Resolution fixed deleted
  • Status changed from closed to reopened

r5592 does not fix the problem as the port needs to be specified as String object.

comment:7 Changed on Mar 23, 2010 at 9:55:39 AM by yla

  • Resolution set to fixed
  • Status changed from reopened to closed

Fixed in r5859. A new nightly build with the fix will be available shortly.

Note: See TracTickets for help on using tickets.
swiss made software